<?

// Сборник лютых костылей.
class Ui_over {

	static function visual_bts_run_and_reset() {
		GLOBAL $INFO, $Lang; 

		// кнопка сначала и запуск
		if(empty($INFO['recovery_fname'])) {
			//c('bt_step_reset')->enabled = false;
			c('Fm->bt_run')->caption = $Lang->get('bt_run.start');
		}
		else {
			//c('bt_step_reset')->enabled = true;
			c('Fm->bt_run')->caption = $Lang->get('bt_run.continue');
		}
	}

	// у нас 2 кнопки run, в один момент видна только одна, но надо управлять их доступностью
	// короче, это костыль
	static function all_bt_run_enabled($is_enabled) {
		c('Fm->bt_run')->enabled = $is_enabled;
		c('Fm->run_analize_blocks')->enabled = $is_enabled;
	}
}


?>